/***************************************************************************
                          colortableitem.h  -  description
                             -------------------
    begin                : Thu Feb 20 2003
    copyright            : (C) 2003 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COLORTABLEITEM_H
#define COLORTABLEITEM_H

#include <qtable.h>

/**
  *@author Ivica Bukvic
  */

class ColorTableItem : public QTableItem  {
public:         
    ColorTableItem(QTable *t, EditType et, QColor c, const QString txt);
    ~ColorTableItem();

private:
    void ColorTableItem::paint( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected );

    QColor color;
};

#endif
