/***************************************************************************
                          settingscue.h  -  description
                             -------------------
    begin                : Fri Aug 23 2002
    copyright            : (C) 2002 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETTINGSCUE_H
#define SETTINGSCUE_H

#include <qstring.h>
#include <qpixmap.h>
#include <qcolor.h>
#include <qfont.h>

struct settingscue {
    bool Size[12];
    QString Accel[6];
    QString Editor;
    QString MainPath[2] [3];
    QString NameWarningOff[4];
    QString NameWarningWarn[4];
    QString NameWarningOn[4];
    QString NameMetroOff[4];
    QString NameMetroOn[4];
    QString NameLEDwOff[6];
    QString NameLEDwWarn[6];
    QString NameLEDwOn[6];
    QColor LEDColor[7];
    QFont Font[7];
    QColor FontColor[4];
    QString WidgetName[14];
    QString MidiPort;
    QString NetAuth;
    QString EventFilter;
    QString Browser;
};

#endif
