/***************************************************************************
                          LCD.cpp  -  description
                             -------------------
    begin                : Sat Nov 24 2001
    copyright            : (C) 2001 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "QLCD.h"
#include <qwidget.h>
#include <qpoint.h>

QLCD::QLCD( QWidget *parent, const char *name )
	: QLCDNumber( parent, name )
{
}

void QLCD::mousePressEvent( QMouseEvent* event )
{
	bool hit = hitLCD( event->pos() );
	if ( hit ) {
		if( event->button() == LeftButton )	{			
			emit lclicked();
		}
		if( event->button() == RightButton )	{			
			emit rclicked();
		}		
	}
}


bool QLCD::hitLCD( const QPoint &pos ) const
{
    return rect().contains( pos );
}
