/***************************************************************************
                          TimerEvent.cpp  -  description
                             -------------------
    begin                : Fri Nov 30 2001
    copyright            : (C) 2001 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "TimerEvent.h"
#include "rtmix.h"
#include "qpushbutton.h"
#include "longevent.h"
#include <qapplication.h>

MyTimer::MyTimer( RTMix *parent, const char *name )
    : QObject( parent, name )
{
    ptr = parent;
    //startTimer( 10 );
}

void MyTimer::timerEvent( QTimerEvent *e )
{
    le = new LongEvent( 0 );
    QApplication::postEvent( ptr, le );
}

void MyTimer::run()
{
    startTimer( 10 );
    //uSleep(1);
}
