/***************************************************************************
                          settings-pixmap.h  -  description
                             -------------------
    begin                : Tue Aug 27 2002
    copyright            : (C) 2002 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qfiledialog.h>

void settings::AdjustPixmapText( int n, int type )
{
	settingscue *temp;
	if ( !type ) { temp = Saved; }
	else { temp = Current; }

	if ( n == 0 )
	{
		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( temp->MainPath[0][0] );
		ONPixmapLineEdit->setText( temp->MainPath[1][0] );
	}
	if ( n == 1 )
	{
		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( temp->MainPath[0][1] );
		ONPixmapLineEdit->setText( temp->MainPath[1][1] );
	}
	if ( n == 2 )
	{
		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( temp->MainPath[0][2] );
		ONPixmapLineEdit->setText( temp->MainPath[1][2] );
	}

	if ( n == 3 )
	{
		WARNPixmapLineEdit->setText( temp->NameWarningWarn[0] );
		OFFPixmapLineEdit->setText( temp->NameWarningOff[0] );
		ONPixmapLineEdit->setText( temp->NameWarningOn[0] );
	}
	if ( n == 4 )
	{
		WARNPixmapLineEdit->setText( temp->NameWarningWarn[1] );
		OFFPixmapLineEdit->setText( temp->NameWarningOff[1] );
		ONPixmapLineEdit->setText( temp->NameWarningOn[1] );
	}
	if ( n == 5 )
	{
		WARNPixmapLineEdit->setText( temp->NameWarningWarn[2] );
		OFFPixmapLineEdit->setText( temp->NameWarningOff[2] );
		ONPixmapLineEdit->setText( temp->NameWarningOn[2] );
	}
	if ( n == 6 )
	{
		WARNPixmapLineEdit->setText( temp->NameWarningWarn[3] );
		OFFPixmapLineEdit->setText( temp->NameWarningOff[3] );
		ONPixmapLineEdit->setText( temp->NameWarningOn[3] );
	}

	if ( n == 7 )
	{
		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( temp->NameMetroOff[0] );
		ONPixmapLineEdit->setText( temp->NameMetroOn[0] );
	}
	if ( n == 8 )
	{
		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( temp->NameMetroOff[1] );
		ONPixmapLineEdit->setText( temp->NameMetroOn[1] );
	}
	if ( n == 9 )
	{
		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( temp->NameMetroOff[2] );
		ONPixmapLineEdit->setText( temp->NameMetroOn[2] );
	}
	if ( n == 10 )
	{
		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( temp->NameMetroOff[3] );
		ONPixmapLineEdit->setText( temp->NameMetroOn[3] );
	}

	if ( n == 11 )
	{
		WARNPixmapLineEdit->setText( temp->NameLEDwWarn[0] );
		OFFPixmapLineEdit->setText( temp->NameLEDwOff[0] );
		ONPixmapLineEdit->setText( temp->NameLEDwOn[0] );
	}
	if ( n == 12 )
	{
		WARNPixmapLineEdit->setText( temp->NameLEDwWarn[1] );
		OFFPixmapLineEdit->setText( temp->NameLEDwOff[1] );
		ONPixmapLineEdit->setText( temp->NameLEDwOn[1] );
	}
	if ( n == 13 )
	{
		WARNPixmapLineEdit->setText( temp->NameLEDwWarn[2] );
		OFFPixmapLineEdit->setText( temp->NameLEDwOff[2] );
		ONPixmapLineEdit->setText( temp->NameLEDwOn[2] );
	}
	if ( n == 14 )
	{
		WARNPixmapLineEdit->setText( temp->NameLEDwWarn[3] );
		OFFPixmapLineEdit->setText( temp->NameLEDwOff[3] );
		ONPixmapLineEdit->setText( temp->NameLEDwOn[3] );
	}
	if ( n == 15 )
	{
		WARNPixmapLineEdit->setText( temp->NameLEDwWarn[4] );
		OFFPixmapLineEdit->setText( temp->NameLEDwOff[4] );
		ONPixmapLineEdit->setText( temp->NameLEDwOn[4] );
	}
	if ( n == 16 )
	{
		WARNPixmapLineEdit->setText( temp->NameLEDwWarn[5] );
		OFFPixmapLineEdit->setText( temp->NameLEDwOff[5] );
		ONPixmapLineEdit->setText( temp->NameLEDwOn[5] );
	}
}

void settings::AdjustPixmap( int n )
{
	//PreviewPixmap->setPixmap( NULL );

	if ( n == 0 )
	{
     	Off = &R->imageRedoff;
		On = &R->imageRedon;
		Warn = NULL;
	}
	if ( n == 1 )
	{
     	Off = &R->imageYellowoff;
		On = &R->imageYellowon;
		Warn = NULL;
	}
	if ( n == 2 )
	{
     	Off = &R->imageGreenoff;
		On = &R->imageGreenon;
		Warn = NULL;
	}

	if ( n == 3 )
	{
     	Off = R->Window1->LED;
		On = R->Window1->LEDGreen;
		Warn = R->Window1->LEDYellow;
	}
	if ( n == 4 )
	{
     	Off = R->Window2->LED;
		On = R->Window2->LEDGreen;
		Warn = R->Window2->LEDYellow;
	}
	if ( n == 5 )
	{
     	Off = R->Window3->LED;
		On = R->Window3->LEDGreen;
		Warn = R->Window3->LEDYellow;
	}
	if ( n == 6 )
	{
     	Off = R->Window4->LED;
		On = R->Window4->LEDGreen;
		Warn = R->Window4->LEDYellow;
	}

	if ( n == 7 )
	{
     	Off = R->Metro1->LEDoff;
		On = R->Metro1->LED;
		Warn = NULL;
	}
	if ( n == 8 )
	{
     	Off = R->Metro2->LEDoff;
		On = R->Metro2->LED;
		Warn = NULL;
	}
	if ( n == 9 )
	{
     	Off = R->Metro3->LEDoff;
		On = R->Metro3->LED;
		Warn = NULL;
	}
	if ( n == 10 )
	{
     	Off = R->Metro4->LEDoff;
		On = R->Metro4->LED;
		Warn = NULL;
	}

	if ( n == 11 )
	{
     	Off = R->LEDw->LED1;
		Warn = R->LEDw->LED1Yellow;
		On = R->LEDw->LED1Green;
	}
	if ( n == 12 )
	{
     	Off = R->LEDw->LED2;
		Warn = R->LEDw->LED2Yellow;
		On = R->LEDw->LED2Green;
	}
	if ( n == 13 )
	{
     	Off = R->LEDw->LED3;
		Warn = R->LEDw->LED3Yellow;
		On = R->LEDw->LED3Green;
	}
	if ( n == 14 )
	{
     	Off = R->LEDw->LED4;
		Warn = R->LEDw->LED4Yellow;
		On = R->LEDw->LED4Green;
	}
	if ( n == 15 )
	{
     	Off = R->LEDw->LED5;
		Warn = R->LEDw->LED5Yellow;
		On = R->LEDw->LED5Green;
	}
	if ( n == 16 )
	{
     	Off = R->LEDw->LED6;
		Warn = R->LEDw->LED6Yellow;
		On = R->LEDw->LED6Green;
	}

	PreviewPixmap->setPixmap( *Off );
	PreviewPixmapName->setText( "OFF" );
	PixmapState = 1;

 	if ( n < 3 || n > 6 && n < 11 )
	{
     	BrowseWARNButton->setEnabled( FALSE );
		WARNPixmapLineEdit->setEnabled( FALSE );
	}
	else
	{
     	BrowseWARNButton->setEnabled( TRUE );
		WARNPixmapLineEdit->setEnabled( TRUE );
	}

	AdjustPixmapText( n, 0 );
}

void settings::UpdatePixmap()
{
	if ( PixmapState == 0 )
	{
		PreviewPixmap->setPixmap( *Off );
		PreviewPixmapName->setText( "OFF" );
	}
	if ( PixmapState == 1 )
	{
		if ( Warn != NULL )
		{
			PreviewPixmap->setPixmap( *Warn );
			PreviewPixmapName->setText( "WARN" );
		}
		else
		{
         	PixmapState = 2;
		}
	}
	if ( PixmapState == 2 )
	{	
		PreviewPixmap->setPixmap( *On );
		PreviewPixmapName->setText( "ON" );
	}
	PixmapState++;
	if ( PixmapState > 2 )
	{
     	PixmapState = 0;
	}
}

void settings::ResetPixmap()
{
 	int n;

	n = PixmapComboBox->currentItem();
    ApplyButton->setEnabled( TRUE );

	if ( n < 3 )
	{
     	Current->MainPath[0][n] = Default->MainPath[0][n];
		Current->MainPath[1][n] = Default->MainPath[1][n];

		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( Default->MainPath[0][n] );
		ONPixmapLineEdit->setText( Default->MainPath[1][n] );
	}

	if ( n >= 3 && n < 7 )
	{
     	Current->NameWarningWarn[n] = Default->NameWarningWarn[n];
		Current->NameWarningOff[n] = Default->NameWarningOff[n];
		Current->NameWarningOn[n] = Default->NameWarningOn[n];

		WARNPixmapLineEdit->setText( Default->NameWarningWarn[n] );
		OFFPixmapLineEdit->setText( Default->NameWarningOff[n] );
		ONPixmapLineEdit->setText( Default->NameWarningOn[n] );
	}	

	if ( n >= 7 && n < 11 )
	{
     	Current->NameMetroOff[n] = Default->NameMetroOff[n];
		Current->NameMetroOn[n] = Default->NameMetroOn[n];

		WARNPixmapLineEdit->setText( "" );
		OFFPixmapLineEdit->setText( Default->NameMetroOff[n] );
		ONPixmapLineEdit->setText( Default->NameMetroOn[n] );
	}

	if ( n >= 11 )
	{
     	Current->NameLEDwWarn[n] = Default->NameLEDwWarn[n];
		Current->NameLEDwOff[n] = Default->NameLEDwOff[n];
		Current->NameLEDwOn[n] = Default->NameLEDwOn[n];

		WARNPixmapLineEdit->setText( Default->NameLEDwWarn[n] );
		OFFPixmapLineEdit->setText( Default->NameLEDwOff[n] );
		ONPixmapLineEdit->setText( Default->NameLEDwOn[n] );
	}	
		
	AdjustPixmap( n );	
}

void settings::BrowsePixmap( int i )
{
	int n;

	n = PixmapComboBox->currentItem();

	QString file( QFileDialog::getOpenFileName( QString::null, "Image formats ( *.xpm *.jpg *.jpeg *.gif *.png )", this ) );
    if ( !file.isEmpty() ) {
		ChangePixmap( i, n, file );
        ApplyButton->setEnabled( TRUE );
		//PreviewPixmap( i, n );
	}
}

void settings::ChangePixmap( int i, int n, QString file )
{
	if ( n < 3 )
	{
		if ( i == 0 )
		{
     		Current->MainPath[0][n] = file;
		}
		if ( i == 1 )
		{
     		Current->MainPath[2][n] = file;
		}
		if ( i == 2 )
		{
     		Current->MainPath[1][n] = file;
		}
	}
	if ( n >= 3 && n < 7 )
	{
		if ( i == 0 )
		{
        	Current->NameWarningOff[n] = file;
		}
		if ( i == 1 )
		{
        	Current->NameWarningWarn[n] = file;
		}
		if ( i == 2 )
		{
        	Current->NameWarningOn[n] = file;
		}		
	}	

	if ( n >= 7 && n < 11 )
	{
		if ( i == 0 )
		{
        	Current->NameMetroOff[n] = file;
		}
		if ( i == 2 )
		{
        	Current->NameMetroOn[n] = file;
		}
	}

	if ( n >= 11 )
	{
		if ( i == 0 )
		{
        	Current->NameLEDwOff[n] = file;
		}
		if ( i == 1 )
		{
        	Current->NameLEDwWarn[n] = file;
		}
		if ( i == 2 )
		{
        	Current->NameLEDwOn[n] = file;
		}		
	}

	PixmapState = 1;
	PreviewPixmapName->setText( "OFF" );

	if ( i == 0 )
	{
		Temp1.load( file );
    	Off = &Temp1;
		PreviewPixmap->setPixmap( *Off );
	}	
	if ( i == 1 )
	{
    	Temp2.load( file );
		Warn = &Temp2;
	}	
	if ( i == 2 )
	{
    	Temp3.load( file );
		On = &Temp3;
	}

	AdjustPixmapText( n, 1 );	
}

void settings::BrowsePixmapOff()
{
	BrowsePixmap( 0 );
}

void settings::BrowsePixmapOn()
{
	BrowsePixmap( 2 );
}

void settings::BrowsePixmapWarn()
{
	BrowsePixmap( 1 );
}
