/***************************************************************************
                          splash.h  -  description
                             -------------------
    begin                : Thu Sep 5 2002
    copyright            : (C) 2002 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef SPLASH_H
#define SPLASH_H

#include <qvariant.h>
#include <qwidget.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QProgressBar;
class QFont;

class Splash : public QWidget
{ 
    Q_OBJECT

public:
    Splash( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~Splash();

    QLabel* TitleLabel;
    //QLabel* SplashLogo;
    QLabel* LoadingLabel;
    QProgressBar* ProgressBar;

    //QFont* Label;
    //QFont* Progress;

	void UpdateSplash( int , QString );
	void Close();

protected:
    QGridLayout* SplashLayout;
    //bool event( QEvent* );
    void closeEvent ( QCloseEvent* );
    bool event( QEvent* );

private slots:
	void Delete();
};

#endif // SPLASH_H
